> ## Documentation Index
> Fetch the complete documentation index at: https://docs.affelios.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates many new customers from external customer records.



## OpenAPI

````yaml https://platform.affelios.com/swagger/v1/swagger.json post /api/v1/customer/bulk
openapi: 3.0.4
info:
  title: Affelios Platform API
  version: v1
servers: []
security:
  - Bearer: []
paths:
  /api/v1/customer/bulk:
    post:
      tags:
        - Customer
      summary: Creates many new customers from external customer records.
      operationId: CustomerBulkPost
      parameters:
        - name: X-Api-Key
          in: header
          schema:
            type: string
      requestBody:
        description: An array of external customers.
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ExternalAffiliateCustomerItem'
          text/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ExternalAffiliateCustomerItem'
          application/*+json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/ExternalAffiliateCustomerItem'
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/AffiliateCustomerImportResponse'
components:
  schemas:
    ExternalAffiliateCustomerItem:
      required:
        - externalBrandId
        - externalId
        - regDate
      type: object
      properties:
        externalId:
          minLength: 1
          type: string
        externalBrandId:
          minLength: 1
          type: string
        regDate:
          minLength: 1
          type: string
        clickKey:
          type: string
          nullable: true
        externalProductId:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        country_code:
          type: string
          nullable: true
      additionalProperties: false
    AffiliateCustomerImportResponse:
      type: object
      properties:
        numImported:
          type: integer
          format: int32
        numDuplicates:
          type: integer
          format: int32
        numFailed:
          type: integer
          format: int32
        firstFailureId:
          type: string
          nullable: true
        firstFailureMessage:
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````